API to disconnect an existing payment config for given account

http
POST https://services.leadconnectorhq.com/payments/custom-provider/disconnect

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesLk3nlfk4lxlelVEwcWAccount id

Body

NameTypeRequiredExampleDescription
liveModebooleanYestrueWhether the config is for test mode or live mode. true represents config is for live payments

Responses

200 - Successful response
  • success (boolean, required): Whether the custom provider config is disconnect or not. true represents config is disconnect Example: true

json
{
  "success": "true"
}
400 - No such config exists for given locationId and marketplaceAppId
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/payments/custom-provider/disconnect' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "liveMode": "true"
}'

Last updated October 26, 2026

Was this page helpful?